<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

$esperarCarga=true;

unset($_SESSION['orden_reposicion']);

/*
7-11-2022
Añadido nuevo parámetro al WS FiltroStock
WSPantReposicion#Empresa#Usuario#FiltroAlm#FiltroStock
Valores:
C-Con stock
S-Sin tock
T-Todo
*/

if($_POST['filtroStock']) $_SESSION['filtroStock']=$_POST['filtroStock']; else if(!$_SESSION['filtroStock']) $_SESSION['filtroStock']='C';

?>
<h2>Órdenes de Reposición <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" alt="Refrescar" class="refrescar"/></h2>


<form id="formulario" name="formulario" method="post" action="">
<p>Ver productos: 
  <input type="radio" name="filtroStock" id="filtroStockCon" value="C" class="checkGrande selectorFiltro" style="vertical-align:sub;" <?php if($_SESSION['filtroStock']=='C') { ?>checked<?php } ?>/>Con stock
  <input type="radio" name="filtroStock" id="filtroStockCon" value="S" class="checkGrande selectorFiltro" style="vertical-align:sub;" <?php if($_SESSION['filtroStock']=='S') { ?>checked<?php } ?>/>Sin Stock
  <input type="radio" name="filtroStock" id="filtroStockCon" value="T" class="checkGrande selectorFiltro" style="vertical-align:sub;" <?php if($_SESSION['filtroStock']=='T') { ?>checked<?php } ?>>Todos
</p>
</form>

<div id="listaOrdenes" style="padding-bottom:70px">
</div>

<script>

$(document).ready(function() {

	$('#popupCargando').show();
	
	$('.refrescar').on("click",function(e) {
		$('#popupCargando').show();
		window.location.reload();
	});
	
	$('.selectorFiltro').on("click",function(e) {
		$('#popupCargando').show();
		$('#formulario').submit();
	});
	
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/reposicion-ordenes-listado.php?filtroStock=<?php echo $_SESSION['filtroStock']; ?><?php if($_GET['traza']=='si') { ?>&traza=si<?php } ?>" )
	.done(function(data) {
		$('#popupCargando').hide();
		$('#listaOrdenes').html(data);
	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
